#!/bin/bash
CHECKSUM=
SLACK_HOME=/vol/linux/slackware
SLACK_VERSION=current

if [ -r $SLACK_HOME/logs/out ]; then
   mv --backup=numbered $SLACK_HOME/logs/out $SLACK_HOME/logs/out.old
fi

if [ -r $SLACK_HOME/logs/err ]; then
   mv --backup=numbered $SLACK_HOME/logs/err $SLACK_HOME/logs/err.old
fi

rsync --verbose \
      --archive \
      --backup --backup-dir=$SLACK_HOME/backup \
      --delete-after \
      --delete-excluded \
      --filter=". filters" \
      --numeric-ids \
      --stats --progress \
      --compress \
      rsync://slackware.mirrors.tds.net/slackware/slackware-$SLACK_VERSION \
      $SLACK_HOME/ \
      1>$SLACK_HOME/logs/out \
      2>$SLACK_HOME/logs/err &

sleep 1

tail -f $SLACK_HOME/logs/out

